## grails.test
Class AbstractCliTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              groovy.util.GroovyTestCase
                  grails.test.AbstractCliTestCase

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public abstract class AbstractCliTestCase

extends groovy.util.GroovyTestCase
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class groovy.util.GroovyTestCase
`log, TEST_SCRIPT_NAME_PREFIX`

Constructor Summary
`AbstractCliTestCase()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `enterInput(String input)`
`protected void` `execute(List<String> command)`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getOutput()`
`File` `getOutputDir()`
`Object` `getProperty(String property)`
`long` `getTimeout()`
`File` `getWorkDir()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOutput(String output)`
`void` `setOutputDir(File value)`
`void` `setProperty(String property, Object value)`
`void` `setTimeout(long value)`
`void` `setWorkDir(File dir)`
`protected void` `signalDone()`
`protected void` `verifyHeader()`
`int` `waitForProcess()`

Methods inherited from class groovy.util.GroovyTestCase
`assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCliTestCase

    public AbstractCliTestCase()

Method Detail

### getOutputDir

    public File getOutputDir()

### setOutputDir

    public void setOutputDir(File value)

### getTimeout

    public long getTimeout()

### setTimeout

    public void setTimeout(long value)

### execute

    protected void execute(List<String> command)

### getOutput

    public String getOutput()

### setOutput

    public void setOutput(String output)

### getWorkDir

    public File getWorkDir()

### setWorkDir

    public void setWorkDir(File dir)

### enterInput

    public void enterInput(String input)

### waitForProcess

    public int waitForProcess()

### signalDone

    protected void signalDone()

### verifyHeader

    protected void verifyHeader()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project